Summary:	The talloc library - a hierarchical pool based memory system
Summary(pl.UTF-8):	Biblioteka talloc - system przydzielania pamięci oparty na hierarchicznej puli
Name:		talloc
Version:	2.3.3
Release:	1
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	https://download.samba.org/pub/talloc/%{name}-%{version}.tar.gz
# Source0-md5:	b9a334039dd24bed8ea546c71cb3d196
URL:		https://talloc.samba.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libbsd-devel
BuildRequires:	libxslt-progs
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
Provides:	libtalloc = 2:%{version}-%{release}
Obsoletes:	libtalloc < 2:2.0.7-2
# talloc 2.2+ dropped python2 support
Obsoletes:	python-talloc < 2:2.2
Obsoletes:	python-talloc-devel < 2:2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The talloc library implements a hierarchical allocator with
destructors.

%description -l pl.UTF-8
Biblioteka talloc jest implementacją systemu zarządzania pamięcią
opartego na hierarchicznej puli wraz z destruktorami.

%package devel
Summary:	Development files for the talloc library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki talloc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libtalloc-devel = 2:%{version}-%{release}
Obsoletes:	libtalloc-devel < 2:2.0.7-2
Obsoletes:	libtalloc-static < 2:2.0.5

%description devel
Development files needed to create programs that link against the
talloc library.

%description devel -l pl.UTF-8
Pliki programistyczne potrzebne do tworzenia programów używających
biblioteki talloc.

%package -n python3-talloc
Summary:	Python 3 binding for talloc library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki talloc
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python3-libs >= 1:3.2

%description -n python3-talloc
Python 2 binding for talloc library.

%description -n python3-talloc -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki talloc.

%package -n python3-talloc-devel
Summary:	Development files for Python 3 pytalloc-util library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki pytalloc-util dla Pythona 3
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	python3-devel >= 1:3.2
Requires:	python3-talloc = %{epoch}:%{version}-%{release}

%description -n python3-talloc-devel
Development files for Python 3 pytalloc-util library.

%description -n python3-talloc-devel -l pl.UTF-8
Pliki programistyczne biblioteki pytalloc-util dla Pythona 3.

%prep
%setup -q

%build
# threading breaks waf
export JOBS=1

CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} buildtools/bin/waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- libtalloc < 2:2.0.1-5
-rm -f %{_libdir}/libtalloc.so.2
/sbin/ldconfig

%post	-n python3-talloc -p /sbin/ldconfig
%postun	-n python3-talloc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtalloc.so.2

%files devel
%defattr(644,root,root,755)
%doc talloc_guide.txt
%attr(755,root,root) %{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_pkgconfigdir}/talloc.pc
%{_mandir}/man3/talloc.3*

%files -n python3-talloc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.cpython-3*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpytalloc-util.cpython-3*.so.2
%attr(755,root,root) %{py3_sitedir}/talloc.cpython-3*.so

%files -n python3-talloc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.cpython-3*.so
%{_includedir}/pytalloc.h
%{_pkgconfigdir}/pytalloc-util.cpython-3*.pc
%changelog
* Tue Aug 31 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/talloc.git;a=log;h=master

* Sun Aug 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 9bf8412
- updated to 2.3.3

* Thu Mar 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 3b4ab6d
- versioned Obsoletes

* Wed Mar 24 2021 Jakub Bogusz <qboosh@pld-linux.org> f1a7d11
- updated to 2.3.2

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 83b6a7d
- release 2 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 907f2c9
- BR: libbsd-devel

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> d8a29c8
- updated URL

* Mon Dec 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d9cb67
- up to 2.3.1

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 7698ed1
- removed no longer needed _duplicate_files_terminate_build define

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 8466839
- cleanup, python2 comment

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 3c36b7c
- added O for dropped python packages
- rel 2

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ae8f57
- up to 2.3.0; upstream dropped python2 support

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3075570
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Mar 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 194e6f9
- ldconfig for libpytalloc-util libraries

* Wed Mar 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 767cb2e
- fixed python3-talloc-devel dependencies

* Wed Mar 13 2019 Jakub Bogusz <qboosh@pld-linux.org> ef799f1
- updated to 2.1.16
- added python3- packages

* Sun Aug 19 2018 Marcin Krol <hawk@tld-linux.org> 68bba42
- updated to 2.1.14

* Fri Apr 13 2018 Marcin Krol <hawk@tld-linux.org> 106b1c9
- updated to 2.1.13

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> e310749
- updated to 2.1.12

* Tue Jul 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 7a1fd85
- updated to 2.1.10

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> fe298a4
- updated to 2.1.9

